DataCubeControllerClearDataResultCache Method |
POST /DataCube/ClearDataResultCache/{id}
Clears all the results based on the specified cube from the data result cache.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("ClearDataResultCache")]
public IActionResult ClearDataResultCache(
Guid id,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("ClearDataResultCache")>
Public Function ClearDataResultCache (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"ClearDataResultCache")]
IActionResult^ ClearDataResultCache(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("ClearDataResultCache")>]
member ClearDataResultCache :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the data cube to clear the result cache. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResultA
Boolean indicating a successful cache clear or not, or a status code indicating the problem.
See Also